Page MenuHomePhabricator

VisualEditor scrolls downward on page load/context change in IE 10/11 (but not Edge)
Closed, ResolvedPublic1 Story Points

Description

In Internet Explorer 11, on Wikipedia today (1.27.0-wmf.19 (6b18994)), launch VisualEditor to edit a wiki article that's longer than a screenful of text.

When VisualEditor finishes loading, it scrolls downward by itself. It places the first paragraph at the top of the browser window. The VisualEditor menu and article title scroll out of view.

The same scrolling happens if you highlight a paragraph (say, the first one in a long article) and choose the paragraph style "Heading".

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2016, 6:48 PM

Also broken in 10, but works in 12 (Edge)

Jdforrester-WMF renamed this task from VisualEditor scrolls downward in IE 11 for no reason to VisualEditor scrolls downward on page load/context change in IE 10/11 (but not Edge).Apr 12 2016, 7:16 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 284344 had a related patch set uploaded (by Esanders):
Defer before restoring scroll position, and allow 0

https://gerrit.wikimedia.org/r/284344

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 8:42 PM

Change 284344 merged by jenkins-bot:
Defer before restoring scroll position, and allow 0

https://gerrit.wikimedia.org/r/284344

Jdforrester-WMF closed this task as Resolved.Apr 20 2016, 12:03 AM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set the point value for this task to 1.